Bug 192728 - wtf/Optional.h: move-constructor and move-assignment operator should disengage the value being moved from
Summary: wtf/Optional.h: move-constructor and move-assignment operator should disengag...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Template Framework (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL: https://lists.webkit.org/pipermail/we...
Keywords: InRadar
: 163309 (view as bug list)
Depends on:
Blocks: 192931 192933 192948
  Show dependency treegraph
 
Reported: 2018-12-14 16:54 PST by David Kilzer (:ddkilzer)
Modified: 2018-12-20 12:40 PST (History)
24 users (show)

See Also:


Attachments
Patch v1 (5.57 KB, patch)
2018-12-14 17:14 PST, David Kilzer (:ddkilzer)
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-sierra (2.61 MB, application/zip)
2018-12-14 18:36 PST, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-sierra-wk2 (3.51 MB, application/zip)
2018-12-14 18:50 PST, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-sierra (2.13 MB, application/zip)
2018-12-14 19:20 PST, Build Bot
no flags Details
Archive of layout-test-results from ews123 for ios-simulator-wk2 (10.35 MB, application/zip)
2018-12-14 19:33 PST, Build Bot
no flags Details
Patch (3.01 MB, patch)
2018-12-15 15:39 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (3.01 MB, patch)
2018-12-15 16:46 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews121 for ios-simulator-wk2 (3.65 MB, application/zip)
2018-12-15 19:06 PST, Build Bot
no flags Details
Patch (3.04 MB, patch)
2018-12-15 22:08 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (3.06 MB, patch)
2018-12-15 22:28 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (3.06 MB, patch)
2018-12-15 22:35 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (3.04 MB, patch)
2018-12-15 22:48 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews124 for ios-simulator-wk2 (3.66 MB, application/zip)
2018-12-16 07:11 PST, Build Bot
no flags Details
Patch (3.04 MB, patch)
2018-12-17 09:32 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (3.04 MB, patch)
2018-12-17 09:58 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (3.04 MB, patch)
2018-12-17 16:11 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews126 for ios-simulator-wk2 (3.94 MB, application/zip)
2018-12-17 18:39 PST, Build Bot
no flags Details
Patch (3.01 MB, patch)
2018-12-17 19:33 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (3.01 MB, patch)
2018-12-17 19:49 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (3.01 MB, patch)
2018-12-17 21:41 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (3.02 MB, patch)
2018-12-19 19:08 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (3.02 MB, patch)
2018-12-19 19:39 PST, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Kilzer (:ddkilzer) 2018-12-14 16:54:01 PST
This is the same as Bug 163309, but now with a different std::optional implementation.

In  <https://lists.webkit.org/pipermail/webkit-dev/2018-December/030316.html>, Chris Dumez writes:
'''
Hi,

I have now been caught twice by std::optional’s move constructor. It turns out that it leaves the std::optional being moved-out *engaged*, it merely moves its value.

For example, testOptional.cpp:
#include <iostream>
#include <optional>

int main()
{
    std::optional<int> a = 1;
    std::optional<int> b = std::move(a);
    std::cout << "a is engaged? " << !!a << std::endl;
    std::cout << "b is engaged? " << !!b << std::endl;
    return 0;
}

$ clang++ testOptional.cpp -o testOptional -std=c++17
$ ./testOptional
a is engaged? 1
b is engaged? 1

I would have expected:
a is engaged? 0
b is engaged? 1

This impacts the standard std::optional implementation on my machine as well as the local copy in WebKit’s wtf/Optional.h.

As far as I know, our convention in WebKit so far for our types has been that types getting moved-out are left in a valid “empty” state.
As such, I find that std::optional’s move constructor behavior is error-prone.

I’d like to know how do other feel about this behavior? If enough people agree this is error-prone, would we consider having our
own optional type in WTF which resets the engaged flag (and never allow the std::optional)?

Thanks,
--
 Chris Dumez
'''
Comment 1 David Kilzer (:ddkilzer) 2018-12-14 16:54:36 PST
*** Bug 163309 has been marked as a duplicate of this bug. ***
Comment 2 Radar WebKit Bug Importer 2018-12-14 16:56:43 PST
<rdar://problem/46746779>
Comment 3 David Kilzer (:ddkilzer) 2018-12-14 16:57:56 PST
I have fixes for the move-constructor and move-assignment operator, but I'm not sure if I need to do anything for these methods:

    constexpr T&& value() &&;
    constexpr const T&& value() const &&;

As documented here:  <https://en.cppreference.com/w/cpp/utility/optional/value>

(I can't figure out how to write C++ to actually use those methods, so help would be appreciated!)
Comment 4 David Kilzer (:ddkilzer) 2018-12-14 17:01:30 PST
One of the most frustrating things about the behavior of the move-constructor and move-assignment operator is that optional::swap() does what you'd expect by fully disengaging the value after the swap!

<https://trac.webkit.org/browser/webkit/trunk/Source/WTF/wtf/Optional.h#L497>
Comment 5 David Kilzer (:ddkilzer) 2018-12-14 17:14:46 PST
Created attachment 357360 [details]
Patch v1
Comment 6 David Kilzer (:ddkilzer) 2018-12-14 17:15:37 PST
Comment on attachment 357360 [details]
Patch v1

1. Totally untested (still building locally).
2. Tests may break if the libc++ implementation is used instead of <wtf/Optional.h>.
Comment 7 Build Bot 2018-12-14 17:16:23 PST Comment hidden (spam)
Comment 8 David Kilzer (:ddkilzer) 2018-12-14 17:16:34 PST
(In reply to David Kilzer (:ddkilzer) from comment #6)
> Comment on attachment 357360 [details]
> Patch v1
> 
> 1. Totally untested (still building locally).

Not true.  I tested with Chris' test program from webkit-dev and that's fixed.  :)

I just haven't run TestWebKitAPI tests or layout tests yet.
Comment 9 Saam Barati 2018-12-14 17:25:50 PST
I think we should move this out of namespace std if we’re going to add behavior like this that we’re going to rely on.
Comment 10 Michael Catanzaro 2018-12-14 17:35:53 PST
(In reply to Saam Barati from comment #9)
> I think we should move this out of namespace std if we’re going to add
> behavior like this that we’re going to rely on.

Indeed, this is important because we need to remain compatible with std::optional. Look at the changes to this file from earlier this year for a reminder of the pain caused by mismatched semantics (WPE/GTK and WinCairo had moved to C++ 17 and were getting std::optional from the standard library but Cocoa was using this one; we switched back to C++ 14 after a couple months primarily to get back to WTF's std::optional).
Comment 11 Build Bot 2018-12-14 18:36:36 PST Comment hidden (spam)
Comment 12 Build Bot 2018-12-14 18:36:38 PST Comment hidden (spam)
Comment 13 Build Bot 2018-12-14 18:50:04 PST Comment hidden (spam)
Comment 14 Build Bot 2018-12-14 18:50:06 PST Comment hidden (spam)
Comment 15 David Kilzer (:ddkilzer) 2018-12-14 19:02:19 PST
(In reply to Saam Barati from comment #9)
> I think we should move this out of namespace std if we’re going to add
> behavior like this that we’re going to rely on.

So wtf::optional?  I think we should ask whether the standard implementation can also be fixed.

Looks like this change may have found a bug (a test now consistently failing that didn't before the patch):

Regressions: Unexpected text-only failures (1)
  imported/w3c/web-platform-tests/fetch/api/request/request-disturbed.html [ Failure ]
Comment 16 Build Bot 2018-12-14 19:20:22 PST Comment hidden (spam)
Comment 17 Build Bot 2018-12-14 19:20:24 PST Comment hidden (spam)
Comment 18 Build Bot 2018-12-14 19:33:02 PST Comment hidden (spam)
Comment 19 Build Bot 2018-12-14 19:33:05 PST Comment hidden (spam)
Comment 20 David Kilzer (:ddkilzer) 2018-12-14 19:44:48 PST
(In reply to David Kilzer (:ddkilzer) from comment #15)
> (In reply to Saam Barati from comment #9)
> > I think we should move this out of namespace std if we’re going to add
> > behavior like this that we’re going to rely on.
> 
> So wtf::optional?  I think we should ask whether the standard implementation
> can also be fixed.
> 
> Looks like this change may have found a bug (a test now consistently failing
> that didn't before the patch):
> 
> Regressions: Unexpected text-only failures (1)
>   imported/w3c/web-platform-tests/fetch/api/request/request-disturbed.html [
> Failure ]

So WebCore::FetchBodyOwner::isDisturbed() depends on WebCore::FetchBodyOwner::isBodyNull(), and isBodyNull() returns true if WebCore::FetchBodyOwner::m_body is "engaged" (which means it either currently holds a value or has held a value in the past, so it directly relies on the current std::optional<> behavior):

    std::optional<FetchBody> m_body;

Good times.
Comment 21 David Kilzer (:ddkilzer) 2018-12-14 19:51:27 PST
I'm assuming we don't want to land this as-is, so reassigning to webkit-unassigned in case someone else wants to work on it.
Comment 22 Chris Dumez 2018-12-15 14:09:22 PST
(In reply to David Kilzer (:ddkilzer) from comment #20)
> (In reply to David Kilzer (:ddkilzer) from comment #15)
> > (In reply to Saam Barati from comment #9)
> > > I think we should move this out of namespace std if we’re going to add
> > > behavior like this that we’re going to rely on.
> > 
> > So wtf::optional?  I think we should ask whether the standard implementation
> > can also be fixed.
> > 
> > Looks like this change may have found a bug (a test now consistently failing
> > that didn't before the patch):
> > 
> > Regressions: Unexpected text-only failures (1)
> >   imported/w3c/web-platform-tests/fetch/api/request/request-disturbed.html [
> > Failure ]
> 
> So WebCore::FetchBodyOwner::isDisturbed() depends on
> WebCore::FetchBodyOwner::isBodyNull(), and isBodyNull() returns true if
> WebCore::FetchBodyOwner::m_body is "engaged" (which means it either
> currently holds a value or has held a value in the past, so it directly
> relies on the current std::optional<> behavior):
> 
>     std::optional<FetchBody> m_body;
> 
> Good times.

I believe the issue is with this move:
ExceptionOr<void> FetchRequest::setBody(FetchRequest& request)
{
    if (!request.isBodyNull()) {
        if (!methodCanHaveBody(m_request))
            return Exception { TypeError, makeString("Request has method '", m_request.httpMethod(), "' and cannot have a body") };
        // FIXME: If body has a readable stream, we should pipe it to this new body stream.
        m_body = WTFMove(request.m_body); // here
        request.setDisturbed();
    }
Comment 23 Chris Dumez 2018-12-15 15:39:33 PST
Created attachment 357407 [details]
Patch
Comment 24 Build Bot 2018-12-15 15:47:04 PST
Attachment 357407 [details] did not pass style-queue:

ERROR: Source/WebKit/WebProcess/Cache/WebCacheStorageConnection.messages.in:33:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebCore/html/HTMLMediaElement.h:116:  Missing spaces around <  [whitespace/operators] [3]
ERROR: Source/WebKit/UIProcess/Cocoa/WebViewImpl.h:280:  The parameter name "scrollbarStyle" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:37:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:286:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/JavaScriptCore/bytecode/GetterSetterAccessCase.h:54:  std::unique_ptr is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/WebKit/UIProcess/API/gtk/WebKitPopupMenu.h"
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.h:141:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.cpp:1450:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/network/DataURLDecoder.h:49:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:57:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:98:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/ApplePay/WebPaymentCoordinatorProxy.messages.in:36:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/ApplePay/WebPaymentCoordinatorProxy.messages.in:37:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/ApplePay/WebPaymentCoordinatorProxy.messages.in:38:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/ApplePay/WebPaymentCoordinatorProxy.messages.in:39:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/ServiceWorker/WebSWServerConnection.messages.in:42:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WTF/wtf/Optional.h:326:  optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:368:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:436:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:440:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:465:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:466:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:584:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:584:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:584:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:600:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:600:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:602:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1002:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1005:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:1013:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1016:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKit/NetworkProcess/NetworkProcess.messages.in:89:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/NetworkProcess.messages.in:92:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebCore/crypto/JsonWebKey.h:40:  key_ops is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKit/WebProcess/Storage/WebSWContextManagerConnection.messages.in:34:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:110:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:134:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:180:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:229:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:332:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:402:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:403:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:439:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/codegen/generate_objc_protocol_type_conversions_implementation.py:134:  [ObjCProtocolTypeConversionsImplementationGenerator._generate_type_factory_method_implementation] Instance of 'ObjCProtocolTypeConversionsImplementationGenerator' has no 'objc_name_for_type' member  [pylint/E1101] [5]
ERROR: Source/WebCore/dom/SuccessOr.h:35:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/dom/SuccessOr.h:36:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebKit/NetworkProcess/ServiceWorker/WebSWServerToContextConnection.messages.in:28:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/ServiceWorker/WebSWServerToContextConnection.messages.in:29:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/ServiceWorker/WebSWServerToContextConnection.messages.in:30:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebCore/crypto/gcrypt/CryptoAlgorithmAES_CTRGCrypt.cpp:72:  gcryptAES_CTR is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKit/UIProcess/WebProcessProxy.messages.in:36:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
WARNING: File exempt from style guide. Skipping: "Source/JavaScriptCore/API/glib/JSCCallbackFunction.h"
ERROR: Source/WebKit/NetworkProcess/NetworkConnectionToWebProcess.messages.in:37:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/NetworkConnectionToWebProcess.messages.in:38:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/NetworkConnectionToWebProcess.messages.in:40:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/NetworkConnectionToWebProcess.messages.in:41:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/JavaScriptCore/yarr/YarrSyntaxChecker.cpp:47:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit/WebProcess/WebPage/DrawingArea.messages.in:32:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.messages.in:29:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/Storage/WebSWClientConnection.messages.in:31:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/Storage/WebSWClientConnection.messages.in:42:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebCore/loader/FrameLoaderClient.h:373:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/Session.h:92:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:122:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:167:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/mediastream/CaptureDeviceManager.h:39:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/WebDriverService.cpp:1080:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Markable.h:130:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.cpp:199:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:120:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/page/ChromeClient.h:406:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:58:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:59:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:60:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:155:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:165:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:181:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:191:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:203:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:217:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:231:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WebKit/NetworkProcess/NetworkSocketStream.messages.in:25:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebDriver/Session.cpp:740:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:908:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:2449:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoad
erClient.h:35:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:86:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:51:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:148:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:170:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:442:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:453:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:535:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:536:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
Total errors found: 121 in 1727 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 25 Chris Dumez 2018-12-15 16:46:29 PST
Created attachment 357409 [details]
Patch
Comment 26 Build Bot 2018-12-15 16:54:43 PST
Attachment 357409 [details] did not pass style-queue:

ERROR: Source/WebKit/WebProcess/Cache/WebCacheStorageConnection.messages.in:33:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebCore/html/HTMLMediaElement.h:116:  Missing spaces around <  [whitespace/operators] [3]
ERROR: Source/WebKit/UIProcess/Cocoa/WebViewImpl.h:280:  The parameter name "scrollbarStyle" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:37:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:286:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/JavaScriptCore/bytecode/GetterSetterAccessCase.h:54:  std::unique_ptr is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/WebKit/UIProcess/API/gtk/WebKitPopupMenu.h"
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.h:141:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.cpp:1450:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/network/DataURLDecoder.h:49:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:57:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:98:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/ApplePay/WebPaymentCoordinatorProxy.messages.in:36:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/ApplePay/WebPaymentCoordinatorProxy.messages.in:37:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/ApplePay/WebPaymentCoordinatorProxy.messages.in:38:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/ApplePay/WebPaymentCoordinatorProxy.messages.in:39:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/ServiceWorker/WebSWServerConnection.messages.in:42:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WTF/wtf/Optional.h:326:  optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:368:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:436:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:440:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:465:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:466:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:584:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:584:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:584:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:600:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:600:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:602:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1002:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1005:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:1013:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1016:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKit/NetworkProcess/NetworkProcess.messages.in:89:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/NetworkProcess.messages.in:92:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebCore/crypto/JsonWebKey.h:40:  key_ops is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKit/WebProcess/Storage/WebSWContextManagerConnection.messages.in:34:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:110:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:134:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:180:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:229:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:332:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:402:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:403:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:439:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/codegen/generate_objc_protocol_type_conversions_implementation.py:134:  [ObjCProtocolTypeConversionsImplementationGenerator._generate_type_factory_method_implementation] Instance of 'ObjCProtocolTypeConversionsImplementationGenerator' has no 'objc_name_for_type' member  [pylint/E1101] [5]
ERROR: Source/WebCore/dom/SuccessOr.h:35:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/dom/SuccessOr.h:36:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebKit/NetworkProcess/ServiceWorker/WebSWServerToContextConnection.messages.in:28:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/ServiceWorker/WebSWServerToContextConnection.messages.in:29:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/ServiceWorker/WebSWServerToContextConnection.messages.in:30:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebCore/crypto/gcrypt/CryptoAlgorithmAES_CTRGCrypt.cpp:72:  gcryptAES_CTR is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKit/UIProcess/WebProcessProxy.messages.in:36:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
WARNING: File exempt from style guide. Skipping: "Source/JavaScriptCore/API/glib/JSCCallbackFunction.h"
ERROR: Source/WebKit/NetworkProcess/NetworkConnectionToWebProcess.messages.in:37:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/NetworkConnectionToWebProcess.messages.in:38:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/NetworkConnectionToWebProcess.messages.in:40:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/NetworkConnectionToWebProcess.messages.in:41:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/JavaScriptCore/yarr/YarrSyntaxChecker.cpp:47:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit/WebProcess/WebPage/DrawingArea.messages.in:32:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.messages.in:29:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/Storage/WebSWClientConnection.messages.in:31:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/Storage/WebSWClientConnection.messages.in:42:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebCore/loader/FrameLoaderClient.h:373:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/Session.h:92:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:122:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:167:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/mediastream/CaptureDeviceManager.h:39:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/WebDriverService.cpp:1080:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Markable.h:130:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.cpp:199:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:120:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/page/ChromeClient.h:406:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:58:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:59:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:60:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:155:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:165:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:181:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:191:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:203:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:217:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:231:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WebKit/NetworkProcess/NetworkSocketStream.messages.in:25:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebDriver/Session.cpp:740:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:908:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:2449:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoad
erClient.h:35:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:86:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:51:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:148:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:170:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:442:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:453:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:535:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:536:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
Total errors found: 121 in 1727 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 27 Saam Barati 2018-12-15 17:09:53 PST
(In reply to David Kilzer (:ddkilzer) from comment #15)
> (In reply to Saam Barati from comment #9)
> > I think we should move this out of namespace std if we’re going to add
> > behavior like this that we’re going to rely on.
> 
> So wtf::optional?  I think we should ask whether the standard implementation
> can also be fixed.
That would be nice. But when the standard says the value after a move is unspecified, I’m not sure if that means the standard will never define those semantics, or if by default it’s implementation defined with the ability of the standard to give it specified semantics.

> 
> Looks like this change may have found a bug (a test now consistently failing
> that didn't before the patch):
> 
> Regressions: Unexpected text-only failures (1)
>   imported/w3c/web-platform-tests/fetch/api/request/request-disturbed.html [
> Failure ]
Comment 28 Sam Weinig 2018-12-15 18:59:44 PST
Because piling on is always fun...I'm not a huge fan of diverting from the standard here, but I also don't think it matters all that much.

If we do diverge, please spell it WTF::Optional<> rather than WTF::optional<> to match our style rules (we do this uppercasing for other near STL types like WTF::Variant<>).
Comment 29 Build Bot 2018-12-15 19:06:48 PST
Comment on attachment 357409 [details]
Patch

Attachment 357409 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10422981

New failing tests:
http/tests/paymentrequest/payment-response-payerName-attribute.https.html
http/tests/paymentrequest/payment-response-payerPhone-attribute.https.html
http/tests/paymentrequest/updateWith-method-pmi-handling.https.html
http/tests/paymentrequest/payment-request-change-shipping-address.https.html
http/tests/paymentrequest/payment-response-complete-method.https.html
http/tests/paymentrequest/payment-address-attributes-and-toJSON-method.https.html
http/tests/paymentrequest/payment-request-change-shipping-option.https.html
http/tests/paymentrequest/payment-response-payerEmail-attribute.https.html
http/tests/paymentrequest/payment-response-methodName-attribute.https.html
http/tests/paymentrequest/payment-response-retry-method.https.html
http/tests/paymentrequest/payment-request-merchant-validation.https.html
http/tests/paymentrequest/payment-request-show-method.https.html
Comment 30 Build Bot 2018-12-15 19:06:50 PST
Created attachment 357411 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 31 Chris Dumez 2018-12-15 22:08:46 PST
Created attachment 357413 [details]
Patch
Comment 32 Build Bot 2018-12-15 22:17:15 PST
Attachment 357413 [details] did not pass style-queue:

ERROR: Source/WebKit/WebProcess/Cache/WebCacheStorageConnection.messages.in:33:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebCore/html/HTMLMediaElement.h:116:  Missing spaces around <  [whitespace/operators] [3]
ERROR: Source/WebKit/UIProcess/Cocoa/WebViewImpl.h:280:  The parameter name "scrollbarStyle" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:37:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:286:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/JavaScriptCore/bytecode/GetterSetterAccessCase.h:54:  std::unique_ptr is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/WebKit/UIProcess/API/gtk/WebKitPopupMenu.h"
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.h:141:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.cpp:1450:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/network/DataURLDecoder.h:49:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:57:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:98:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/ApplePay/WebPaymentCoordinatorProxy.messages.in:36:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/ApplePay/WebPaymentCoordinatorProxy.messages.in:37:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/ApplePay/WebPaymentCoordinatorProxy.messages.in:38:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/ApplePay/WebPaymentCoordinatorProxy.messages.in:39:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/ServiceWorker/WebSWServerConnection.messages.in:42:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WTF/wtf/Optional.h:326:  optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:368:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:436:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:440:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:465:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:466:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:584:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:584:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:584:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:600:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:600:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:602:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1002:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1005:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:1013:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1016:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKit/NetworkProcess/NetworkProcess.messages.in:89:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/NetworkProcess.messages.in:92:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebCore/crypto/JsonWebKey.h:40:  key_ops is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKit/WebProcess/Storage/WebSWContextManagerConnection.messages.in:34:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:110:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:134:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:180:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:229:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:332:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:402:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:403:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:439:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/codegen/generate_objc_protocol_type_conversions_implementation.py:134:  [ObjCProtocolTypeConversionsImplementationGenerator._generate_type_factory_method_implementation] Instance of 'ObjCProtocolTypeConversionsImplementationGenerator' has no 'objc_name_for_type' member  [pylint/E1101] [5]
ERROR: Source/WebCore/dom/SuccessOr.h:35:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/dom/SuccessOr.h:36:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebKit/NetworkProcess/ServiceWorker/WebSWServerToContextConnection.messages.in:28:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/ServiceWorker/WebSWServerToContextConnection.messages.in:29:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/ServiceWorker/WebSWServerToContextConnection.messages.in:30:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebCore/crypto/gcrypt/CryptoAlgorithmAES_CTRGCrypt.cpp:72:  gcryptAES_CTR is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKit/UIProcess/WebProcessProxy.messages.in:36:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
WARNING: File exempt from style guide. Skipping: "Source/JavaScriptCore/API/glib/JSCCallbackFunction.h"
ERROR: Source/WebKit/NetworkProcess/NetworkConnectionToWebProcess.messages.in:37:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/NetworkConnectionToWebProcess.messages.in:38:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/NetworkConnectionToWebProcess.messages.in:40:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/NetworkConnectionToWebProcess.messages.in:41:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/JavaScriptCore/yarr/YarrSyntaxChecker.cpp:47:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit/WebProcess/WebPage/DrawingArea.messages.in:32:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.messages.in:29:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/Storage/WebSWClientConnection.messages.in:31:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/Storage/WebSWClientConnection.messages.in:42:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebCore/loader/FrameLoaderClient.h:373:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/Session.h:92:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:122:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:167:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/mediastream/CaptureDeviceManager.h:39:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/WebDriverService.cpp:1080:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Markable.h:130:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.cpp:199:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:120:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/page/ChromeClient.h:406:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:58:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:59:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:60:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:155:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:165:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:181:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:191:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:203:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:217:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:231:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WebKit/NetworkProcess/NetworkSocketStream.messages.in:25:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebDriver/Session.cpp:740:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:908:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:2449:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoad
erClient.h:35:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:86:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:51:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:148:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:170:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:442:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:453:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:535:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:536:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
Total errors found: 121 in 1786 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 33 Chris Dumez 2018-12-15 22:19:29 PST
(In reply to Sam Weinig from comment #28)
> Because piling on is always fun...I'm not a huge fan of diverting from the
> standard here, but I also don't think it matters all that much.
> 
> If we do diverge, please spell it WTF::Optional<> rather than
> WTF::optional<> to match our style rules (we do this uppercasing for other
> near STL types like WTF::Variant<>).

How about std::make_optional()? Would it become WTF::makeOptional()?
Comment 34 Chris Dumez 2018-12-15 22:28:29 PST
Created attachment 357414 [details]
Patch
Comment 35 Chris Dumez 2018-12-15 22:35:49 PST
Created attachment 357415 [details]
Patch
Comment 36 Build Bot 2018-12-15 22:43:34 PST
Attachment 357415 [details] did not pass style-queue:

ERROR: Source/WebKit/WebProcess/Cache/WebCacheStorageConnection.messages.in:33:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebCore/html/HTMLMediaElement.h:116:  Missing spaces around <  [whitespace/operators] [3]
ERROR: Source/WebKit/UIProcess/Cocoa/WebViewImpl.h:280:  The parameter name "scrollbarStyle" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:37:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:286:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/JavaScriptCore/bytecode/GetterSetterAccessCase.h:54:  std::unique_ptr is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/WebKit/UIProcess/API/gtk/WebKitPopupMenu.h"
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.h:141:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.cpp:1450:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/network/DataURLDecoder.h:49:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:57:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:98:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/ApplePay/WebPaymentCoordinatorProxy.messages.in:36:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/ApplePay/WebPaymentCoordinatorProxy.messages.in:37:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/ApplePay/WebPaymentCoordinatorProxy.messages.in:38:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/ApplePay/WebPaymentCoordinatorProxy.messages.in:39:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/ServiceWorker/WebSWServerConnection.messages.in:42:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WTF/wtf/Optional.h:316:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:316:  Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:318:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:320:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:326:  Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:329:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:339:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:339:  constexpr_Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:341:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:343:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:368:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:409:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:409:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:410:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:410:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:412:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:421:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:431:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:431:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:433:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:433:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:436:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:440:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:444:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:447:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:453:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:461:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:465:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:466:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:499:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:584:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:584:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:584:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:590:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:590:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:592:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:592:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:594:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:594:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:596:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:598:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:598:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:600:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:600:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:602:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:604:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:607:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:612:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:617:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:650:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:693:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:693:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:693:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:693:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:988:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:994:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1002:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1005:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:1013:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1016:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKit/NetworkProcess/NetworkProcess.messages.in:89:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/NetworkProcess.messages.in:92:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebCore/crypto/JsonWebKey.h:40:  key_ops is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKit/WebProcess/Storage/WebSWContextManagerConnection.messages.in:34:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:110:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:134:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:180:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:229:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:332:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:402:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:403:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/WebPageProxy.messages.in:439:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/codegen/generate_objc_protocol_type_conversions_implementation.py:134:  [ObjCProtocolTypeConversionsImplementationGenerator._generate_type_factory_method_implementation] Instance of 'ObjCProtocolTypeConversionsImplementationGenerator' has no 'objc_name_for_type' member  [pylint/E1101] [5]
ERROR: Source/WebCore/dom/SuccessOr.h:35:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/dom/SuccessOr.h:36:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebKit/NetworkProcess/ServiceWorker/WebSWServerToContextConnection.messages.in:28:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/ServiceWorker/WebSWServerToContextConnection.messages.in:29:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/ServiceWorker/WebSWServerToContextConnection.messages.in:30:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebCore/crypto/gcrypt/CryptoAlgorithmAES_CTRGCrypt.cpp:72:  gcryptAES_CTR is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKit/UIProcess/WebProcessProxy.messages.in:36:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
WARNING: File exempt from style guide. Skipping: "Source/JavaScriptCore/API/glib/JSCCallbackFunction.h"
ERROR: Source/WebKit/NetworkProcess/NetworkConnectionToWebProcess.messages.in:37:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/NetworkConnectionToWebProcess.messages.in:38:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/NetworkConnectionToWebProcess.messages.in:40:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/NetworkProcess/NetworkConnectionToWebProcess.messages.in:41:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/JavaScriptCore/yarr/YarrSyntaxChecker.cpp:47:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit/WebProcess/WebPage/DrawingArea.messages.in:32:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.messages.in:29:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/Storage/WebSWClientConnection.messages.in:31:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/Storage/WebSWClientConnection.messages.in:42:  Line contains WTF:: prefix.  [build/messagesin/wtf] 
[5]
ERROR: Source/WebCore/loader/FrameLoaderClient.h:373:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/Session.h:92:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:122:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:167:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/mediastream/CaptureDeviceManager.h:39:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/WebDriverService.cpp:1080:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Markable.h:130:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.cpp:199:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:120:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/page/ChromeClient.h:406:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:58:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:59:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:60:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:155:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:165:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:181:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:191:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:203:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:217:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:231:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WebKit/NetworkProcess/NetworkSocketStream.messages.in:25:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebDriver/Session.cpp:740:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:908:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:2449:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:35:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:86:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:51:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:148:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:170:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:442:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:453:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:535:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
ERROR: Source/WebKit/WebProcess/WebPage/WebPage.messages.in:536:  Line contains WTF:: prefix.  [build/messagesin/wtf] [5]
Total errors found: 165 in 1785 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 37 Chris Dumez 2018-12-15 22:48:50 PST
Created attachment 357416 [details]
Patch
Comment 38 Build Bot 2018-12-15 22:57:36 PST
Attachment 357416 [details] did not pass style-queue:

ERROR: Source/WebCore/html/HTMLMediaElement.h:116:  Missing spaces around <  [whitespace/operators] [3]
ERROR: Source/WebKit/UIProcess/Cocoa/WebViewImpl.h:280:  The parameter name "scrollbarStyle" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:37:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:286:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/JavaScriptCore/bytecode/GetterSetterAccessCase.h:54:  std::unique_ptr is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/WebKit/UIProcess/API/gtk/WebKitPopupMenu.h"
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.h:141:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.cpp:1450:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/network/DataURLDecoder.h:49:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:57:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:98:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:316:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:316:  Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:318:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:320:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:326:  Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:329:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:339:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:339:  constexpr_Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:341:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:343:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:368:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:409:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:409:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:410:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:410:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:412:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:421:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:431:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:431:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:433:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:433:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:436:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:440:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:444:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:447:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:453:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:461:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:465:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:466:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:499:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:584:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:584:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:584:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:590:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:590:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:592:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:592:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:594:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:594:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:596:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:598:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:598:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:600:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:600:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:602:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:604:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:607:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:612:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:617:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:650:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:693:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:693:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:693:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:693:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:988:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:994:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1002:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1005:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:1013:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1016:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/crypto/JsonWebKey.h:40:  key_ops is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/scripts/codegen/generate_objc_protocol_type_conversions_implementation.py:134:  [ObjCProtocolTypeConversionsImplementationGenerator._generate_type_factory_method_implementation] Instance of 'ObjCProtocolTypeConversionsImplementationGenerator' has no 'objc_name_for_type' member  [pylint/E1101] [5]
ERROR: Source/WebCore/dom/SuccessOr.h:35:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/dom/SuccessOr.h:36:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/crypto/gcrypt/CryptoAlgorithmAES_CTRGCrypt.cpp:72:  gcryptAES_CTR is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/JavaScriptCore/API/glib/JSCCallbackFunction.h"
ERROR: Source/JavaScriptCore/yarr/YarrSyntaxChecker.cpp:47:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebCore/loader/FrameLoaderClient.h:373:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/Session.h:92:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:122:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:167:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/mediastream/CaptureDeviceManager.h:39:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/WebDriverService.cpp:1080:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Markable.h:130:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.cpp:199:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:120:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/page/ChromeClient.h:406:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:58:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:59:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:60:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_saved
ResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:155:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:165:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:181:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:191:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:203:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:217:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:231:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WebDriver/Session.cpp:740:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:908:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:2449:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:35:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:86:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 128 in 1785 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 39 Build Bot 2018-12-16 07:11:06 PST
Comment on attachment 357416 [details]
Patch

Attachment 357416 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10429124

New failing tests:
http/tests/paymentrequest/payment-response-payerName-attribute.https.html
http/tests/paymentrequest/payment-response-payerPhone-attribute.https.html
http/tests/paymentrequest/updateWith-method-pmi-handling.https.html
http/tests/paymentrequest/payment-request-change-shipping-address.https.html
http/tests/paymentrequest/payment-response-complete-method.https.html
http/tests/paymentrequest/payment-address-attributes-and-toJSON-method.https.html
http/tests/paymentrequest/payment-request-change-shipping-option.https.html
http/tests/paymentrequest/payment-response-payerEmail-attribute.https.html
http/tests/paymentrequest/payment-response-methodName-attribute.https.html
http/tests/paymentrequest/payment-response-retry-method.https.html
http/tests/paymentrequest/payment-request-merchant-validation.https.html
http/tests/paymentrequest/payment-request-show-method.https.html
Comment 40 Build Bot 2018-12-16 07:11:09 PST
Created attachment 357417 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 41 Chris Dumez 2018-12-16 09:44:20 PST
(In reply to Build Bot from comment #39)
> Comment on attachment 357416 [details]
> Patch
> 
> Attachment 357416 [details] did not pass ios-sim-ews (ios-simulator-wk2):
> Output: https://webkit-queues.webkit.org/results/10429124
> 
> New failing tests:
> http/tests/paymentrequest/payment-response-payerName-attribute.https.html
> http/tests/paymentrequest/payment-response-payerPhone-attribute.https.html
> http/tests/paymentrequest/updateWith-method-pmi-handling.https.html
> http/tests/paymentrequest/payment-request-change-shipping-address.https.html
> http/tests/paymentrequest/payment-response-complete-method.https.html
> http/tests/paymentrequest/payment-address-attributes-and-toJSON-method.https.
> html
> http/tests/paymentrequest/payment-request-change-shipping-option.https.html
> http/tests/paymentrequest/payment-response-payerEmail-attribute.https.html
> http/tests/paymentrequest/payment-response-methodName-attribute.https.html
> http/tests/paymentrequest/payment-response-retry-method.https.html
> http/tests/paymentrequest/payment-request-merchant-validation.https.html
> http/tests/paymentrequest/payment-request-show-method.https.html

+ Andy. They seem to hit a RELEASE_ASSERT when trying to SoftLink PassKit. I do not see how this is related to Optional.
Comment 42 Chris Dumez 2018-12-16 09:48:42 PST
(In reply to Chris Dumez from comment #41)
> (In reply to Build Bot from comment #39)
> > Comment on attachment 357416 [details]
> > Patch
> > 
> > Attachment 357416 [details] did not pass ios-sim-ews (ios-simulator-wk2):
> > Output: https://webkit-queues.webkit.org/results/10429124
> > 
> > New failing tests:
> > http/tests/paymentrequest/payment-response-payerName-attribute.https.html
> > http/tests/paymentrequest/payment-response-payerPhone-attribute.https.html
> > http/tests/paymentrequest/updateWith-method-pmi-handling.https.html
> > http/tests/paymentrequest/payment-request-change-shipping-address.https.html
> > http/tests/paymentrequest/payment-response-complete-method.https.html
> > http/tests/paymentrequest/payment-address-attributes-and-toJSON-method.https.
> > html
> > http/tests/paymentrequest/payment-request-change-shipping-option.https.html
> > http/tests/paymentrequest/payment-response-payerEmail-attribute.https.html
> > http/tests/paymentrequest/payment-response-methodName-attribute.https.html
> > http/tests/paymentrequest/payment-response-retry-method.https.html
> > http/tests/paymentrequest/payment-request-merchant-validation.https.html
> > http/tests/paymentrequest/payment-request-show-method.https.html
> 
> + Andy. They seem to hit a RELEASE_ASSERT when trying to SoftLink PassKit. I
> do not see how this is related to Optional.

Also, it does not reproduce for me locally.
Comment 43 Sam Weinig 2018-12-16 12:21:50 PST
(In reply to Chris Dumez from comment #33)
> (In reply to Sam Weinig from comment #28)
> > Because piling on is always fun...I'm not a huge fan of diverting from the
> > standard here, but I also don't think it matters all that much.
> > 
> > If we do diverge, please spell it WTF::Optional<> rather than
> > WTF::optional<> to match our style rules (we do this uppercasing for other
> > near STL types like WTF::Variant<>).
> 
> How about std::make_optional()? Would it become WTF::makeOptional()?

I think WTF::makeOptional() makes the most sense. 

An interesting question I don't know the answer to is whether we just reuse std::nullopt. I don't think we "need" our own WTF::Nullopt. It really probably comes down to aesthetics.
Comment 44 Chris Dumez 2018-12-16 13:10:59 PST
(In reply to Sam Weinig from comment #43)
> (In reply to Chris Dumez from comment #33)
> > (In reply to Sam Weinig from comment #28)
> > > Because piling on is always fun...I'm not a huge fan of diverting from the
> > > standard here, but I also don't think it matters all that much.
> > > 
> > > If we do diverge, please spell it WTF::Optional<> rather than
> > > WTF::optional<> to match our style rules (we do this uppercasing for other
> > > near STL types like WTF::Variant<>).
> > 
> > How about std::make_optional()? Would it become WTF::makeOptional()?
> 
> I think WTF::makeOptional() makes the most sense. 

I agree and this is what I ended up with in my latest iteration.

> An interesting question I don't know the answer to is whether we just reuse
> std::nullopt. I don't think we "need" our own WTF::Nullopt. It really
> probably comes down to aesthetics.

I personally like having our own nullopt in WTF since we are not using c++17 yet and we’d need our own copy anyway. I wasn’t sure about its capitalization though. I see that you opted for a capitalized version and for now I have kept it non capitalized, similarly to WTF::notFound.
Comment 45 Sam Weinig 2018-12-16 21:38:15 PST
(In reply to Chris Dumez from comment #44)
> (In reply to Sam Weinig from comment #43)
> > (In reply to Chris Dumez from comment #33)
> > > (In reply to Sam Weinig from comment #28)
> > > > Because piling on is always fun...I'm not a huge fan of diverting from the
> > > > standard here, but I also don't think it matters all that much.
> > > > 
> > > > If we do diverge, please spell it WTF::Optional<> rather than
> > > > WTF::optional<> to match our style rules (we do this uppercasing for other
> > > > near STL types like WTF::Variant<>).
> > > 
> > > How about std::make_optional()? Would it become WTF::makeOptional()?
> > 
> > I think WTF::makeOptional() makes the most sense. 
> 
> I agree and this is what I ended up with in my latest iteration.
> 
> > An interesting question I don't know the answer to is whether we just reuse
> > std::nullopt. I don't think we "need" our own WTF::Nullopt. It really
> > probably comes down to aesthetics.
> 
> I personally like having our own nullopt in WTF since we are not using c++17
> yet and we’d need our own copy anyway. I wasn’t sure about its
> capitalization though. I see that you opted for a capitalized version and
> for now I have kept it non capitalized, similarly to WTF::notFound.

Well, there are really two things here. There is the type replacing std::nullopt_t, which would by convention be WTF::Nullopt, and the constant replacing std::nullopt, which would by convention be WTF::nullopt. ;)
Comment 46 Chris Dumez 2018-12-17 09:32:03 PST
Created attachment 357444 [details]
Patch
Comment 47 Chris Dumez 2018-12-17 09:58:27 PST
Created attachment 357445 [details]
Patch
Comment 48 Build Bot 2018-12-17 10:06:17 PST
Attachment 357445 [details] did not pass style-queue:

ERROR: Source/WebCore/html/HTMLMediaElement.h:116:  Missing spaces around <  [whitespace/operators] [3]
ERROR: Source/WebKit/UIProcess/Cocoa/WebViewImpl.h:280:  The parameter name "scrollbarStyle" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:37:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:286:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/JavaScriptCore/bytecode/GetterSetterAccessCase.h:54:  std::unique_ptr is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/WebKit/UIProcess/API/gtk/WebKitPopupMenu.h"
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.h:141:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.cpp:1450:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/network/DataURLDecoder.h:49:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:57:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:98:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:316:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:316:  Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:318:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:320:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:326:  Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:329:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:339:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:339:  constexpr_Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:341:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:343:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:368:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:409:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:409:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:410:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:410:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:412:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:421:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:431:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:431:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:433:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:433:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:436:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:440:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:444:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:447:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:453:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:461:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:465:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:466:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:499:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:584:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:584:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:584:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:590:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:590:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:592:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:592:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:594:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:594:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:596:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:598:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:598:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:600:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:600:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:602:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:604:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:607:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:612:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:617:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:650:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:693:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:693:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:693:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:693:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:988:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:994:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1002:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1005:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:1013:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1016:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/crypto/JsonWebKey.h:40:  key_ops is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/scripts/codegen/generate_objc_protocol_type_conversions_implementation.py:134:  [ObjCProtocolTypeConversionsImplementationGenerator._generate_type_factory_method_implementation] Instance of 'ObjCProtocolTypeConversionsImplementationGenerator' has no 'objc_name_for_type' member  [pylint/E1101] [5]
ERROR: Source/WebCore/dom/SuccessOr.h:35:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/dom/SuccessOr.h:36:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/crypto/gcrypt/CryptoAlgorithmAES_CTRGCrypt.cpp:72:  gcryptAES_CTR is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/JavaScriptCore/API/glib/JSCCallbackFunction.h"
ERROR: Source/JavaScriptCore/yarr/YarrSyntaxChecker.cpp:47:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebCore/loader/FrameLoaderClient.h:373:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/Session.h:92:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:122:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:167:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/mediastream/CaptureDeviceManager.h:39:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/WebDriverService.cpp:1080:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Markable.h:130:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.cpp:199:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:120:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/page/ChromeClient.h:406:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:58:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:59:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:60:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_saved
ResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:155:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:165:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:181:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:191:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:203:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:217:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:231:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WebDriver/Session.cpp:740:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:908:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:2449:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:35:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:86:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 128 in 1787 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 49 Alex Christensen 2018-12-17 10:22:48 PST
I oppose this change.  If you want to ensure the state of an optional after it is "moved from" use std::exchange.  If you want to guarantee the state of an object after WTFMove or std::move, use a different language.
Comment 50 Chris Dumez 2018-12-17 16:11:59 PST
Created attachment 357492 [details]
Patch
Comment 51 Build Bot 2018-12-17 16:19:09 PST
Attachment 357492 [details] did not pass style-queue:

ERROR: Source/WebCore/html/HTMLMediaElement.h:116:  Missing spaces around <  [whitespace/operators] [3]
ERROR: Source/WebKit/UIProcess/Cocoa/WebViewImpl.h:280:  The parameter name "scrollbarStyle" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:37:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:286:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/JavaScriptCore/bytecode/GetterSetterAccessCase.h:54:  std::unique_ptr is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/WebKit/UIProcess/API/gtk/WebKitPopupMenu.h"
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.h:141:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.cpp:1450:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/network/DataURLDecoder.h:49:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:57:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:98:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:316:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:316:  Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:318:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:320:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:326:  Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:329:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:339:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:339:  constexpr_Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:341:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:343:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:368:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:409:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:409:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:410:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:410:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:412:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:421:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:431:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:431:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:433:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:433:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:436:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:440:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:444:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:447:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:453:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:461:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:465:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:466:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:499:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:584:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:584:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:584:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:590:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:590:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:592:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:592:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:594:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:594:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:596:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:598:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:598:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:600:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:600:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:602:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:604:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:607:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:612:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:617:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:650:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:693:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:693:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:693:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:693:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:988:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:994:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1002:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1005:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:1013:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1016:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/crypto/JsonWebKey.h:40:  key_ops is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/scripts/codegen/generate_objc_protocol_type_conversions_implementation.py:134:  [ObjCProtocolTypeConversionsImplementationGenerator._generate_type_factory_method_implementation] Instance of 'ObjCProtocolTypeConversionsImplementationGenerator' has no 'objc_name_for_type' member  [pylint/E1101] [5]
ERROR: Source/WebCore/dom/SuccessOr.h:35:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/dom/SuccessOr.h:36:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/crypto/gcrypt/CryptoAlgorithmAES_CTRGCrypt.cpp:72:  gcryptAES_CTR is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/JavaScriptCore/API/glib/JSCCallbackFunction.h"
ERROR: Source/JavaScriptCore/yarr/YarrSyntaxChecker.cpp:47:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebCore/loader/FrameLoaderClient.h:373:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/Session.h:92:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:122:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:167:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/mediastream/CaptureDeviceManager.h:39:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/WebDriverService.cpp:1080:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Markable.h:130:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.cpp:199:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:120:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/page/ChromeClient.h:406:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:58:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:59:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:60:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_saved
ResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:155:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:165:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:181:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:191:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:203:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:217:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:231:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WebDriver/Session.cpp:740:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:908:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:2449:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:35:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:86:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 128 in 1787 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 52 Build Bot 2018-12-17 18:39:06 PST
Comment on attachment 357492 [details]
Patch

Attachment 357492 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10448714

New failing tests:
http/tests/paymentrequest/payment-response-payerName-attribute.https.html
http/tests/paymentrequest/payment-response-payerPhone-attribute.https.html
http/tests/paymentrequest/updateWith-method-pmi-handling.https.html
http/tests/paymentrequest/payment-request-change-shipping-address.https.html
http/tests/paymentrequest/payment-response-complete-method.https.html
http/tests/paymentrequest/payment-address-attributes-and-toJSON-method.https.html
http/tests/paymentrequest/payment-request-change-shipping-option.https.html
http/tests/paymentrequest/payment-response-payerEmail-attribute.https.html
http/tests/paymentrequest/payment-response-methodName-attribute.https.html
http/tests/paymentrequest/payment-response-retry-method.https.html
http/tests/paymentrequest/payment-request-merchant-validation.https.html
http/tests/paymentrequest/payment-request-show-method.https.html
Comment 53 Build Bot 2018-12-17 18:39:09 PST
Created attachment 357514 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 54 Chris Dumez 2018-12-17 18:58:42 PST
(In reply to Build Bot from comment #52)
> Comment on attachment 357492 [details]
> Patch
> 
> Attachment 357492 [details] did not pass ios-sim-ews (ios-simulator-wk2):
> Output: https://webkit-queues.webkit.org/results/10448714
> 
> New failing tests:
> http/tests/paymentrequest/payment-response-payerName-attribute.https.html
> http/tests/paymentrequest/payment-response-payerPhone-attribute.https.html
> http/tests/paymentrequest/updateWith-method-pmi-handling.https.html
> http/tests/paymentrequest/payment-request-change-shipping-address.https.html
> http/tests/paymentrequest/payment-response-complete-method.https.html
> http/tests/paymentrequest/payment-address-attributes-and-toJSON-method.https.
> html
> http/tests/paymentrequest/payment-request-change-shipping-option.https.html
> http/tests/paymentrequest/payment-response-payerEmail-attribute.https.html
> http/tests/paymentrequest/payment-response-methodName-attribute.https.html
> http/tests/paymentrequest/payment-response-retry-method.https.html
> http/tests/paymentrequest/payment-request-merchant-validation.https.html
> http/tests/paymentrequest/payment-request-show-method.https.html

Those failures are in fact related, we're failing to load the PassKit framework. dlopen returns the following error:
"""
dlerror: dlopen(/System/Library/Frameworks/PassKit.framework/PassKit, 2): Symbol not found: __ZN9Inspector17BackendDispatcher19reportProtocolErrorESt8optionalIlENS0_15CommonErrorCodeERKN3WTF6StringE
  Referenced from: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/Library/CoreSimulator/Profiles/Runtimes/iOS.simruntime/Contents/Resources/RuntimeRoot/System/Library/PrivateFrameworks/WebInspector.framework/WebInspector
  Expected in: /Volumes/Data/EWS/WebKit/WebKitBuild/Release-iphonesimulator/JavaScriptCore.framework/JavaScriptCore
 in /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/Library/CoreSimulator/Profiles/Runtimes/iOS.simruntime/Contents/Resources/RuntimeRoot/System/Library/PrivateFrameworks/WebInspector.framework/WebInspector
"""

My patch did indeed update WebInspector's reportProtocolError to take in an WTF::Optional instead of an std::optional. Not quite sure how to deal with this yet.
Comment 55 Chris Dumez 2018-12-17 19:33:15 PST
Created attachment 357519 [details]
Patch
Comment 56 Build Bot 2018-12-17 19:40:59 PST
Attachment 357519 [details] did not pass style-queue:

ERROR: Source/WebCore/html/HTMLMediaElement.h:116:  Missing spaces around <  [whitespace/operators] [3]
ERROR: Source/WebKit/UIProcess/Cocoa/WebViewImpl.h:280:  The parameter name "scrollbarStyle" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:37:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:286:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/JavaScriptCore/bytecode/GetterSetterAccessCase.h:54:  std::unique_ptr is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/WebKit/UIProcess/API/gtk/WebKitPopupMenu.h"
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.h:141:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.cpp:1450:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/network/DataURLDecoder.h:49:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:57:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:98:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:316:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:316:  Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:318:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:320:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:326:  Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:329:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:339:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:339:  constexpr_Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:341:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:343:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:368:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:409:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:409:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:410:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:410:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:412:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:421:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:431:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:431:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:433:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:433:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:436:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:440:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:444:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:447:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:453:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:461:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:465:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:466:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:499:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:584:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:584:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:584:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:590:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:590:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:592:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:592:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:594:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:594:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:596:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:598:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:598:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:600:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:600:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:602:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:604:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:607:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:612:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:617:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:650:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:693:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:693:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:693:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:693:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:988:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:994:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1002:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1005:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:1013:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1016:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/crypto/JsonWebKey.h:40:  key_ops is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/scripts/codegen/generate_objc_protocol_type_conversions_implementation.py:134:  [ObjCProtocolTypeConversionsImplementationGenerator._generate_type_factory_method_implementation] Instance of 'ObjCProtocolTypeConversionsImplementationGenerator' has no 'objc_name_for_type' member  [pylint/E1101] [5]
ERROR: Source/WebCore/dom/SuccessOr.h:35:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/dom/SuccessOr.h:36:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/crypto/gcrypt/CryptoAlgorithmAES_CTRGCrypt.cpp:72:  gcryptAES_CTR is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/JavaScriptCore/API/glib/JSCCallbackFunction.h"
ERROR: Source/JavaScriptCore/yarr/YarrSyntaxChecker.cpp:47:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebCore/loader/FrameLoaderClient.h:373:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/Session.h:92:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:122:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:167:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/mediastream/CaptureDeviceManager.h:39:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/WebDriverService.cpp:1080:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Markable.h:130:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.cpp:199:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:120:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/page/ChromeClient.h:406:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:58:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:59:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:60:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_saved
ResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:155:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:165:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:181:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:191:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:203:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:217:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:231:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WebDriver/Session.cpp:740:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:908:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:2449:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:35:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:86:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 128 in 1743 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 57 Chris Dumez 2018-12-17 19:49:31 PST
Created attachment 357521 [details]
Patch
Comment 58 Build Bot 2018-12-17 19:56:24 PST
Attachment 357521 [details] did not pass style-queue:

ERROR: Source/WebCore/html/HTMLMediaElement.h:116:  Missing spaces around <  [whitespace/operators] [3]
ERROR: Source/WebKit/UIProcess/Cocoa/WebViewImpl.h:280:  The parameter name "scrollbarStyle" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:37:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:286:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/JavaScriptCore/bytecode/GetterSetterAccessCase.h:54:  std::unique_ptr is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/WebKit/UIProcess/API/gtk/WebKitPopupMenu.h"
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.h:141:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.cpp:1450:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/network/DataURLDecoder.h:49:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:57:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:98:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:316:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:316:  Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:318:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:320:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:326:  Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:329:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:339:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:339:  constexpr_Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:341:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:343:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:368:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:409:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:409:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:410:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:410:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:412:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:421:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:431:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:431:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:433:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:433:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:436:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:440:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:444:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:447:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:453:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:461:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:465:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:466:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:499:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:509:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:510:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:554:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:555:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:556:  This { should be at the end of the previous line  [whitespace/braces] [4]
ERROR: Source/WTF/wtf/Optional.h:556:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:558:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:560:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:567:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:568:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
ERROR: Source/WTF/wtf/Optional.h:568:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:569:  This { should be at the end of the previous line  [whitespace/braces] [4]
ERROR: Source/WTF/wtf/Optional.h:569:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:571:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:573:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:582:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:583:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:584:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:586:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:588:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:606:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:606:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:606:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:612:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:612:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:614:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:614:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:616:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:616:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:618:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:620:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:620:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:622:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:622:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:624:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:626:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:629:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:634:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:639:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:672:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:715:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:715:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:715:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:715:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1010:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1016:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1024:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1027:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:1035:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1038:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/crypto/JsonWebKey.h:40:  key_ops is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/scripts/codegen/generate_objc_protocol_type_conversions_implementation.py:134:  [ObjCProtocolTypeConversionsImplementationGenerator._generate_type_factory_method_implementation] Instance of 'ObjCProtocolTypeConversionsImplementationGenerator' has no 'objc_name_for_type' member  [pylint/E1101] [5]
ERROR: Source/WebCore/dom/SuccessOr.h:35:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/dom/SuccessOr.h:36:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/crypto/gcrypt/CryptoAlgorithmAES_CTRGCrypt.cpp:72:  gcryptAES_CTR is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/JavaScriptCore/API/glib/JSCCallbackFunction.h"
ERROR: Source/JavaScriptCore/yarr/YarrSyntaxChecker.cpp:47:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebCore/loader/FrameLoaderClient.h:373:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/Session.h:92:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:122:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:167:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/mediastream/CaptureDeviceManager.h:39:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/WebDriverService.cpp:1080:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Markable.h:130:  Boolean expressions that span multiple lines should have their operators on the lef
t side of the line instead of the right side.  [whitespace/operators] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.cpp:199:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:120:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/page/ChromeClient.h:406:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:58:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:59:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:60:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:155:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:165:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:181:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:191:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:203:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:217:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:231:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WebDriver/Session.cpp:740:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:908:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:2449:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:35:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:86:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 148 in 1743 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 59 Chris Dumez 2018-12-17 21:41:21 PST
Created attachment 357534 [details]
Patch
Comment 60 Build Bot 2018-12-17 21:48:34 PST
Attachment 357534 [details] did not pass style-queue:

ERROR: Source/WebCore/html/HTMLMediaElement.h:116:  Missing spaces around <  [whitespace/operators] [3]
ERROR: Source/WebKit/UIProcess/Cocoa/WebViewImpl.h:280:  The parameter name "scrollbarStyle" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:37:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:286:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/JavaScriptCore/bytecode/GetterSetterAccessCase.h:54:  std::unique_ptr is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/WebKit/UIProcess/API/gtk/WebKitPopupMenu.h"
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.h:141:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.cpp:1450:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/network/DataURLDecoder.h:49:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:57:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:98:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:316:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:316:  Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:318:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:320:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:326:  Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:329:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:339:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:339:  constexpr_Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:341:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:343:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:368:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:409:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:409:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:410:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:410:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:412:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:421:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:431:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:431:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:433:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:433:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:436:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:440:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:444:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:447:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:453:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:461:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:465:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:466:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:499:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:509:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:510:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:554:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:555:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:556:  This { should be at the end of the previous line  [whitespace/braces] [4]
ERROR: Source/WTF/wtf/Optional.h:556:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:558:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:560:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:567:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:568:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
ERROR: Source/WTF/wtf/Optional.h:568:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:569:  This { should be at the end of the previous line  [whitespace/braces] [4]
ERROR: Source/WTF/wtf/Optional.h:569:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:571:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:573:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:582:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:583:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:584:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:586:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:588:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:606:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:606:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:606:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:612:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:612:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:614:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:614:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:616:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:616:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:618:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:620:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:620:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:622:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:622:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:624:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:626:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:629:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:634:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:639:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:672:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:715:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:715:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:715:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:715:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1010:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1016:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1024:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1027:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:1035:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1038:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/crypto/JsonWebKey.h:40:  key_ops is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/scripts/codegen/generate_objc_protocol_type_conversions_implementation.py:134:  [ObjCProtocolTypeConversionsImplementationGenerator._generate_type_factory_method_implementation] Instance of 'ObjCProtocolTypeConversionsImplementationGenerator' has no 'objc_name_for_type' member  [pylint/E1101] [5]
ERROR: Source/WebCore/dom/SuccessOr.h:35:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/dom/SuccessOr.h:36:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/crypto/gcrypt/CryptoAlgorithmAES_CTRGCrypt.cpp:72:  gcryptAES_CTR is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/JavaScriptCore/API/glib/JSCCallbackFunction.h"
ERROR: Source/JavaScriptCore/yarr/YarrSyntaxChecker.cpp:47:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebCore/loader/FrameLoaderClient.h:373:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/Session.h:92:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:122:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:167:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/mediastream/CaptureDeviceManager.h:39:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/WebDriverService.cpp:1080:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Markable.h:130:  Boolean expressions that span multiple lines should have their operators on the lef
t side of the line instead of the right side.  [whitespace/operators] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.cpp:199:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:120:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/page/ChromeClient.h:406:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:58:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:59:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:60:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:155:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:165:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:181:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:191:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:203:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:217:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:231:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WebDriver/Session.cpp:740:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:908:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:2449:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:35:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:86:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 148 in 1743 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 61 Louis Dionne 2018-12-19 08:39:44 PST
I'd like to mention that the C++ Standard currently mandates the behaviour of std::optional not to disengage the RHS in case of move-assignment: http://eel.is/c++draft/optional.assign#8. This means that libc++'s implementation is correct in terms of implementing the Standard, and that is what we strive for in the standard library.

Now, perhaps the specification in the Standard is wrong (I don't have an opinion at this point), but a case would have to be made for that. So, just as a point of information, I think the workflow for fixing this in the Standard would be:

1. Make a case that the current behaviour is wrong/harmful
2. Get the Committee to change the Standard by writing a paper
3. Implementations pick up the change in the Standard and libc++ gets fixed

Also, orthogonally to this, I would strongly recommend not putting anything in namespace `std`, especially if the semantics are different from the actual standardized facility. Doing otherwise is asking for trouble/confusion on your side and also violating the contract between implementers and users of the standard library. Concretely, this makes you a "bad user", which means that you're basically forfeiting rights to complain to your implementer when your use case breaks because of subtle reasons nobody had foreseen.
Comment 62 Chris Dumez 2018-12-19 08:41:27 PST
(In reply to Louis Dionne from comment #61)
> I'd like to mention that the C++ Standard currently mandates the behaviour
> of std::optional not to disengage the RHS in case of move-assignment:
> http://eel.is/c++draft/optional.assign#8. This means that libc++'s
> implementation is correct in terms of implementing the Standard, and that is
> what we strive for in the standard library.
> 
> Now, perhaps the specification in the Standard is wrong (I don't have an
> opinion at this point), but a case would have to be made for that. So, just
> as a point of information, I think the workflow for fixing this in the
> Standard would be:
> 
> 1. Make a case that the current behaviour is wrong/harmful
> 2. Get the Committee to change the Standard by writing a paper
> 3. Implementations pick up the change in the Standard and libc++ gets fixed
> 
> Also, orthogonally to this, I would strongly recommend not putting anything
> in namespace `std`, especially if the semantics are different from the
> actual standardized facility. Doing otherwise is asking for
> trouble/confusion on your side and also violating the contract between
> implementers and users of the standard library. Concretely, this makes you a
> "bad user", which means that you're basically forfeiting rights to complain
> to your implementer when your use case breaks because of subtle reasons
> nobody had foreseen.

My patch moves "optional" to WTF namespace and renames it to "Optional", as you can see.
Comment 63 Louis Dionne 2018-12-19 08:44:24 PST
(In reply to Chris Dumez from comment #62)
> 
> My patch moves "optional" to WTF namespace and renames it to "Optional", as you can see.

Yes -- I think that's a great improvement, thanks for doing this. I just wanted to give information from an implementer's point of view.
Comment 64 youenn fablet 2018-12-19 09:33:12 PST
(In reply to Louis Dionne from comment #61)
> I'd like to mention that the C++ Standard currently mandates the behaviour
> of std::optional not to disengage the RHS in case of move-assignment:
> http://eel.is/c++draft/optional.assign#8. This means that libc++'s
> implementation is correct in terms of implementing the Standard, and that is
> what we strive for in the standard library.

I wonder how much this point was discussed by the committee.
Are there logs/minutes giving background information/rationale behind this decision?
Comment 65 JF Bastien 2018-12-19 09:34:55 PST
(In reply to youenn fablet from comment #64)
> (In reply to Louis Dionne from comment #61)
> > I'd like to mention that the C++ Standard currently mandates the behaviour
> > of std::optional not to disengage the RHS in case of move-assignment:
> > http://eel.is/c++draft/optional.assign#8. This means that libc++'s
> > implementation is correct in terms of implementing the Standard, and that is
> > what we strive for in the standard library.
> 
> I wonder how much this point was discussed by the committee.
> Are there logs/minutes giving background information/rationale behind this
> decision?

Yes, but they're not public. Please reach out to Louis and myself if you want to look into it.
Comment 66 Louis Dionne 2018-12-19 09:42:35 PST
I'd also like to echo Alex Christensen's remarks about using std::exchange -- I think it makes the most sense. If you want to ensure that the `rhs` is disengaged after being moved-from in an assignment, I would do this:

    std::optional<T> rhs = T{...};
    std::optional<T> lhs;
    lhs = std::exhange(rhs, std::optional<T>{});

Instead of:

    std::optional<T> rhs = T{...};
    std::optional<T> lhs;
    lhs = std::move(rhs); // and then assume the state of rhs

In general, we try to discourage any use-after-move of an object, except for re-assignment to the moved-from object or its destruction. It's not an absolute rule, of course, as one could design a type with a well-defined and useful state after being moved-from, but if you follow this guideline I don't think you can ever get in trouble. When you want to move from an object AND ensure a specific state for that object after the move, std::exchange (or manual re-assignment to the moved-from object) seems like the right tool.

This simple guideline also has the benefit that it will work not only for move-assignment, but also when passing a movable object into a function that might or might not move from the object:

    std::optional<T> x = T{...};
    use(std::move(x));
    // Is `x` moved from? We don't know unless we know the details of use()!

Instead, if you want to rely on the state of the object after it being moved-from, it seems better to do it in the caller than relying on the callee doing it, using std::exchange:

    std::optional<T> x = T{...};
    use(std::exchange(x, std::optional<T>{}));
    // Now we can rely on the state of `x`, even if `use()` decides not to move from its argument.

I think this is exactly the point that Alex was trying to make on the mailing list (https://lists.webkit.org/pipermail/webkit-dev/2018-December/030340.html), but I'm just restating it here because it makes a lot of sense to me.

So, it seems to me like the most sensible guidelines would be:

    1. Never rely on the state of a moved-from object. After writing `std::move(x)`, the only thing you can do with `x` is reassign to it or let it die.
    2. If you need to move from something _and_ give it a specific value after the move, use `std::exchange(x, new-value)`.

This applies not only to `std::optional`, but to all types. This is simple to remember and it doesn't lead to people relying on the state of a moved-from object, which is a really bad habit to develop. I'd love to hear what someone like Howard Hinnant has to say about this issue.

Just my .02!
Comment 67 Geoffrey Garen 2018-12-19 09:48:43 PST
> I'd also like to echo Alex Christensen's remarks about using std::exchange
> -- I think it makes the most sense.

I'd love to hear your thoughts on the concerns raised on the mailing list about an std::exchange guideline. At our best, we make decisions based on reason (and not on number of people who have echoed a proposal).
Comment 68 Geoffrey Garen 2018-12-19 09:54:36 PST
Comment on attachment 357534 [details]
Patch

r=me
Comment 69 Louis Dionne 2018-12-19 10:30:30 PST
(In reply to Geoffrey Garen from comment #67)
> 
> I'd love to hear your thoughts on the concerns raised on the mailing list
> about an std::exchange guideline.

I've now read the full thread, but I don't think I've seen any specific concerns about a guideline like the above. Can you point them out to me?

Some people seem to be in favour of defining more operations than assignment and destruction for moved-from values. This is OK -- you're allowed to do it, but I don't think that's actually what you want if I read this right. My impression is that you folks are looking for a simple rule of thumb/solution to stop getting bitten (is that correct?). What I'm suggesting is exactly that: it's a rule of thumb that plays nicely with the Standard library, and that should work in all cases (and like I said above, I haven't seen any concerns with it but please point them out to me if I've missed them). If you prefer, you can also re-define all vocabulary types like std::optional to have exactly the behaviour you want after being moved-from. Those are two fine solutions, but one of them is more in-line with the path the Standard seems to have taken.

Also, just so you know I'm not antagonistic to your point of view, I would have expected a moved-from std::optional to be disengaged, just like I would expect a moved-from std::function to be empty. But the world we have is one where moved-from objects don't have uniform guarantees (and for good reasons because a uniform moved-from state is not always possible), so what I'm saying is: if you want simplicity, don't rely on any guarantees after a move.
Comment 70 Michael Catanzaro 2018-12-19 13:15:08 PST
My $0.02:

 * WebKit code should follow Louis's two guidelines; it's second nature to me to not reuse a moved-from object, and hard to mess up if we follow that guidance.
 * We could probably land this patch anyway, since it's surely an improvement and there's almost no disadvantage to doing so. Except I do see one disadvantage:
 * If we have code that relies on this new behavior, this will make it more risky to migrate to std::optional in the future, since any such code will break, and it will be impractical to notice at the time of the change.

So if we land this, I suggest we not rely on the behavior, because I think we are going to eventually want a clean upgrade path from WTF::optional to std::optional. (I'm strongly in favor of moving to WTF::optional now due to the practical problems we've had in the past caused by defining our own std::optional in the std namespace, with some ports using ours and other ports using the stdlib one. It was just not a good idea.)

Finally: since we have two standardization folks here and this conversation is all about std::move, wouldn't it be nice to be able to actually use it directly eventually? Currently we have:

#define WTFMove(value) std::move<WTF::CheckMoveParameter>(value)

with:

template<WTF::CheckMoveParameterTag, typename T>
ALWAYS_INLINE constexpr typename remove_reference<T>::type&& move(T&& value)
{
    static_assert(is_lvalue_reference<T>::value, "T is not an lvalue reference; move() is unnecessary.");

    using NonRefQualifiedType = typename remove_reference<T>::type;
    static_assert(!is_const<NonRefQualifiedType>::value, "T is const qualified.");

    return move(forward<T>(value));
}

WTFMove only exists to add these two static asserts. If std::move grew this behavior in a new C++ standard, we would be able to replace WTFMove with std::move in the future. Perhaps it's too late for that though: catching mistaken moves would be nice, but I foresee many build failures in that future. :)
Comment 71 Chris Dumez 2018-12-19 19:08:56 PST
Created attachment 357769 [details]
Patch
Comment 72 Build Bot 2018-12-19 19:16:57 PST
Attachment 357769 [details] did not pass style-queue:

ERROR: Source/WebCore/html/HTMLMediaElement.h:116:  Missing spaces around <  [whitespace/operators] [3]
ERROR: Source/WebKit/UIProcess/Cocoa/WebViewImpl.h:281:  The parameter name "scrollbarStyle" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:37:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:286:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/JavaScriptCore/bytecode/GetterSetterAccessCase.h:54:  std::unique_ptr is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/WebKit/UIProcess/API/gtk/WebKitPopupMenu.h"
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.h:141:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.cpp:1450:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/network/DataURLDecoder.h:49:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:57:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:98:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:316:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:316:  Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:318:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:320:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:326:  Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:329:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:339:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:339:  constexpr_Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:341:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:343:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:368:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:409:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:409:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:410:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:410:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:412:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:421:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:431:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:431:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:433:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:433:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:436:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:440:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:444:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:447:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:453:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:461:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:465:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:466:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:499:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:509:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:510:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:554:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:555:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:556:  This { should be at the end of the previous line  [whitespace/braces] [4]
ERROR: Source/WTF/wtf/Optional.h:556:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:558:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:560:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:567:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:568:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
ERROR: Source/WTF/wtf/Optional.h:568:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:569:  This { should be at the end of the previous line  [whitespace/braces] [4]
ERROR: Source/WTF/wtf/Optional.h:569:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:571:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:573:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:582:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:583:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:584:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:586:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:588:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:606:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:606:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:606:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:612:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:612:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:614:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:614:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:616:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:616:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:618:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:620:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:620:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:622:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:622:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:624:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:626:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:629:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:634:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:639:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:672:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:715:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:715:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:715:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:715:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1010:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1016:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1024:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1027:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:1035:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1038:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/crypto/JsonWebKey.h:40:  key_ops is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/scripts/codegen/generate_objc_protocol_type_conversions_implementation.py:134:  [ObjCProtocolTypeConversionsImplementationGenerator._generate_type_factory_method_implementation] Instance of 'ObjCProtocolTypeConversionsImplementationGenerator' has no 'objc_name_for_type' member  [pylint/E1101] [5]
ERROR: Source/WebCore/dom/SuccessOr.h:35:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/dom/SuccessOr.h:36:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/crypto/gcrypt/CryptoAlgorithmAES_CTRGCrypt.cpp:72:  gcryptAES_CTR is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/JavaScriptCore/API/glib/JSCCallbackFunction.h"
ERROR: Source/JavaScriptCore/yarr/YarrSyntaxChecker.cpp:47:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebCore/loader/FrameLoaderClient.h:373:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/Session.h:92:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:122:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:167:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/mediastream/CaptureDeviceManager.h:39:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/WebDriverService.cpp:1080:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Markable.h:130:  Boolean expressions that span multiple lines should have their operators on the lef
t side of the line instead of the right side.  [whitespace/operators] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.cpp:199:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:120:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/page/ChromeClient.h:406:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:58:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:59:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:60:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:155:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:165:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:181:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:191:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:203:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:217:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:231:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WebDriver/Session.cpp:740:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:908:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:2449:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:35:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:86:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 148 in 1745 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 73 Chris Dumez 2018-12-19 19:39:45 PST
Created attachment 357772 [details]
Patch
Comment 74 Build Bot 2018-12-19 19:46:56 PST
Attachment 357772 [details] did not pass style-queue:

ERROR: Source/WebCore/html/HTMLMediaElement.h:116:  Missing spaces around <  [whitespace/operators] [3]
ERROR: Source/WebKit/UIProcess/Cocoa/WebViewImpl.h:281:  The parameter name "scrollbarStyle" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/platform/graphics/iso/ISOTrackEncryptionBox.h:37:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/glib/SessionHostGlib.cpp:286:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/JavaScriptCore/bytecode/GetterSetterAccessCase.h:54:  std::unique_ptr is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/WebKit/UIProcess/API/gtk/WebKitPopupMenu.h"
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.h:141:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/WebAutomationSession.cpp:1450:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/network/DataURLDecoder.h:49:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:57:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/SessionHost.h:98:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:316:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:316:  Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:318:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:320:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:326:  Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:329:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:339:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:339:  constexpr_Optional_base is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:341:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:343:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:368:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:368:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:409:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:409:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:410:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:410:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:412:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:421:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:431:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:431:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:433:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:433:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:436:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:437:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:440:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:441:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:444:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:447:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:453:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:461:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:465:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:465:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:466:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:466:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:499:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:509:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:510:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:554:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:555:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:556:  This { should be at the end of the previous line  [whitespace/braces] [4]
ERROR: Source/WTF/wtf/Optional.h:556:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:558:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:560:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:567:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:568:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
ERROR: Source/WTF/wtf/Optional.h:568:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:569:  This { should be at the end of the previous line  [whitespace/braces] [4]
ERROR: Source/WTF/wtf/Optional.h:569:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:571:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:573:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:582:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:583:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:584:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:586:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:588:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:606:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:606:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:606:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:612:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:612:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:614:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:614:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:616:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:616:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:618:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:620:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:620:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:622:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WTF/wtf/Optional.h:622:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:624:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:626:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:629:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:634:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:639:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:672:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:715:  Extra space after ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Optional.h:715:  Extra space before )  [whitespace/parens] [2]
ERROR: Source/WTF/wtf/Optional.h:715:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WTF/wtf/Optional.h:715:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1010:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1016:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1024:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1027:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/Optional.h:1035:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WTF/wtf/Optional.h:1038:  argument_type is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebCore/crypto/JsonWebKey.h:40:  key_ops is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/scripts/codegen/generate_objc_protocol_type_conversions_implementation.py:134:  [ObjCProtocolTypeConversionsImplementationGenerator._generate_type_factory_method_implementation] Instance of 'ObjCProtocolTypeConversionsImplementationGenerator' has no 'objc_name_for_type' member  [pylint/E1101] [5]
ERROR: Source/WebCore/dom/SuccessOr.h:35:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/dom/SuccessOr.h:36:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/crypto/gcrypt/CryptoAlgorithmAES_CTRGCrypt.cpp:72:  gcryptAES_CTR is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
WARNING: File exempt from style guide. Skipping: "Source/JavaScriptCore/API/glib/JSCCallbackFunction.h"
ERROR: Source/JavaScriptCore/yarr/YarrSyntaxChecker.cpp:47:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebCore/loader/FrameLoaderClient.h:373:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/Session.h:92:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:122:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:167:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/mediastream/CaptureDeviceManager.h:39:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebDriver/WebDriverService.cpp:1080:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WTF/wtf/Markable.h:130:  Boolean expressions that span multiple lines should have their operators on the lef
t side of the line instead of the right side.  [whitespace/operators] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.cpp:199:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:120:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit/UIProcess/Automation/SimulatedInputDispatcher.h:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/page/ChromeClient.h:406:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:58:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:59:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/Modules/webauthn/fido/AuthenticatorGetInfoResponse.h:60:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:99:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_resultObject is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_wasThrown is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.cpp:144:  out_savedResultIndex is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:155:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:165:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:181:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:191:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:203:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:217:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Tools/TestWebKitAPI/Tests/WTF/Optional.cpp:231:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WebDriver/Session.cpp:740:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:908:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:2449:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:35:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:36:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebCore/loader/EmptyFrameLoaderClient.h:86:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 148 in 1745 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 75 WebKit Commit Bot 2018-12-19 20:42:25 PST
Comment on attachment 357772 [details]
Patch

Clearing flags on attachment: 357772

Committed r239427: <https://trac.webkit.org/changeset/239427>
Comment 76 WebKit Commit Bot 2018-12-19 20:42:29 PST
All reviewed patches have been landed.  Closing bug.
Comment 77 Fujii Hironori 2018-12-20 01:58:25 PST
(In reply to Louis Dionne from comment #66)
>     lhs = std::exhange(rhs, std::optional<T>{});

This can be simplified.

    lhs = std::exchange(rhs, {});
Comment 78 David Kilzer (:ddkilzer) 2018-12-20 04:34:22 PST
A couple of thoughts after reading yesterday's set of comments:

1. How do we prevent std::optional<> from being re-introduced in WebKit source?  Seems like we need a check-webkit-style check to warn about using std::optional<> that says one should use WTF::Optional<> instead.  (I think the check that Dan Bates added for replacing std::move<> with WTF::move/WTFMove in Bug 134620 / r171065 would probably be easy to copy & modify to do this.  Also need a check for std::make_optional<>.)

2. I guess WTFMove() is now a macro, but if it were a template (maybe like it used to be when it originally landed: WTF::move?), it might have been nicer/easier to make WTFMove(std::optional<>) a template specialization that always assigned std::null_opt to its argument instead of replacing another standard library class (since we've already replaced std::move<> with WTFMove).  I don't feel strongly about this--just wanted to point it out since I didn't see anyone mention this before.
Comment 79 Chris Dumez 2018-12-20 06:53:14 PST
(In reply to David Kilzer (:ddkilzer) from comment #78)
> A couple of thoughts after reading yesterday's set of comments:
> 
> 1. How do we prevent std::optional<> from being re-introduced in WebKit
> source?  Seems like we need a check-webkit-style check to warn about using
> std::optional<> that says one should use WTF::Optional<> instead.  (I think
> the check that Dan Bates added for replacing std::move<> with
> WTF::move/WTFMove in Bug 134620 / r171065 would probably be easy to copy &
> modify to do this.  Also need a check for std::make_optional<>.)

This will only be an issue when we switch to c++17 right?

> 2. I guess WTFMove() is now a macro, but if it were a template (maybe like
> it used to be when it originally landed: WTF::move?), it might have been
> nicer/easier to make WTFMove(std::optional<>) a template specialization that
> always assigned std::null_opt to its argument instead of replacing another
> standard library class (since we've already replaced std::move<> with
> WTFMove).  I don't feel strongly about this--just wanted to point it out
> since I didn't see anyone mention this before.
Comment 80 Chris Dumez 2018-12-20 07:33:25 PST
(In reply to Chris Dumez from comment #79)
> (In reply to David Kilzer (:ddkilzer) from comment #78)
> > A couple of thoughts after reading yesterday's set of comments:
> > 
> > 1. How do we prevent std::optional<> from being re-introduced in WebKit
> > source?  Seems like we need a check-webkit-style check to warn about using
> > std::optional<> that says one should use WTF::Optional<> instead.  (I think
> > the check that Dan Bates added for replacing std::move<> with
> > WTF::move/WTFMove in Bug 134620 / r171065 would probably be easy to copy &
> > modify to do this.  Also need a check for std::make_optional<>.)
> 
> This will only be an issue when we switch to c++17 right?

But yes, I will add a style checker rule.

> > 2. I guess WTFMove() is now a macro, but if it were a template (maybe like
> > it used to be when it originally landed: WTF::move?), it might have been
> > nicer/easier to make WTFMove(std::optional<>) a template specialization that
> > always assigned std::null_opt to its argument instead of replacing another
> > standard library class (since we've already replaced std::move<> with
> > WTFMove).  I don't feel strongly about this--just wanted to point it out
> > since I didn't see anyone mention this before.
Comment 81 Darin Adler 2018-12-20 09:14:04 PST
Given how "using namespace" works, I think we also might have to check for the bare word optional if someone does "using namespace std" somewhere, or check for "using namespace std".
Comment 82 JF Bastien 2018-12-20 09:35:54 PST
(In reply to Darin Adler from comment #81)
> Given how "using namespace" works, I think we also might have to check for
> the bare word optional if someone does "using namespace std" somewhere, or
> check for "using namespace std".

A clang-based checker would see through this, macros, aliases, etc :-)